> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a subscription plan

> Operacion: Delete a subscription plan.



## OpenAPI

````yaml /generated/specs/operations.json delete /api/v1/subscription_plan/delete/{plan_id}
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/subscription_plan/delete/{plan_id}:
    delete:
      tags:
        - Subscription Plan
      summary: Delete a subscription plan
      description: 'Operacion: Delete a subscription plan.'
      operationId: SubscriptionPlanController_delete
      parameters:
        - name: plan_id
          required: true
          in: path
          description: Plan ID
          schema:
            type: number
      responses:
        '200':
          description: Plan deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionPlanMessageResponseDto'
        '404':
          description: Plan not found
      security:
        - bearerAuth: []
components:
  schemas:
    SubscriptionPlanMessageResponseDto:
      type: object
      properties:
        message:
          type: string
          example: Subscription plan deleted successfully
      required:
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````